DUA(1)

NAME
dua - a tool to learn about disk usage, fast!

SYNOPSIS
dua [FLAGS] [OPTIONS] [SUBCOMMAND] [INPUT]...

DESCRIPTION
dua is a fast disk usage analyzer that allows users to explore and manage disk space interactively or via the command line. It supports parallel directory traversal for high performance on large filesystems.

If no input is given, all entries in the current working directory are used.

SUBCOMMANDS

interactive, i
    Launch the terminal user interface for interactive navigation and management of disk usage.

aggregate, a
    Aggregate the consumed space of one or more directories or files and print the result to standard output.

completions
    Generate shell completions for the specified shell.

config
    Configuration related commands.

help
    Print help message or the help of the given subcommand.

OPTIONS

-t, --threads THREADS
    The amount of threads to use. Defaults to 0, indicating the amount of logical processors. Set to 1 to use only a single thread. (env: DUA_THREADS, default: 0)

-f, --format FORMAT
    The format with which to print byte counts. Possible values: metric, binary, bytes, gb, gib, mb, mib. (env: DUA_FORMAT, default: binary)

-A, --apparent-size
    Display apparent size instead of disk usage. (env: DUA_APPARENT_SIZE)

-l, --count-hard-links
    Count hard-linked files each time they are seen. (env: DUA_COUNT_HARD_LINKS)

-x, --stay-on-filesystem
    Do not cross filesystems or traverse mount points. (env: DUA_STAY_ON_FILESYSTEM)

-i, --ignore-dirs IGNORE_DIRS
    One or more absolute directories to ignore during traversal. These are not ignored if passed directly as input paths. (env: DUA_IGNORE_DIRS, default: /proc /dev /sys /run)

--log-file LOG_FILE
    Write a log file with debug information, including panics. (env: DUA_LOG_FILE)

-h, --help
    Print help.

-V, --version
    Print version.

EXAMPLES

Analyze disk usage of the current directory:
    dua

Launch the interactive TUI navigator:
    dua i

Analyze a specific directory:
    dua i /home

Aggregate disk usage of multiple directories:
    dua a /var /tmp /home

Use metric format and 4 threads:
    dua --format metric --threads 4 /home

Display apparent size instead of disk usage:
    dua -A /home

Ignore specific directories during traversal:
    dua --ignore-dirs /proc /dev i

Generate bash shell completions:
    dua completions bash

ENVIRONMENT

DUA_THREADS
    Number of threads to use.

DUA_FORMAT
    Output byte format (metric, binary, bytes, gb, gib, mb, mib).

DUA_APPARENT_SIZE
    If set, display apparent size instead of disk usage.

DUA_COUNT_HARD_LINKS
    If set, count hard-linked files each time they are seen.

DUA_STAY_ON_FILESYSTEM
    If set, do not cross filesystem boundaries.

DUA_IGNORE_DIRS
    Colon-separated list of absolute directories to ignore.

DUA_LOG_FILE
    Path to the log file for debug information.

SEE ALSO
du(1), ncdu(1), df(1)

AUTHOR
Written by Byron. Manual organized and compiled by the Debian maintainers

Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Luiz Georg <luizgngeorg@gmail.com>